<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="occur.css">
</head>

<body>
    <content>
        <header>
            <h3 id="h3">Occurance Of Character</h3>
        </header>
       
        <form>
        <fieldset>
            <label for="str1">Enter the string</label>
            <input type="text" id="str1">
        </fieldset>

        <fieldset>
            <label for="char">Enter the character</label>
            <input type="text" id="char">
        </fieldset>

        <fieldset>
            <button type="button" onclick="result()">Result</button>
            <input type="text" id="answer">

        </fieldset>
        
        

    </form>
    <script>
        function result() {
            const string = document.getElementById("str1").value;
            const letterToCheck = document.getElementById("char").value;
            
            const result = countString(string, letterToCheck);
        
           document.getElementById("answer").value=result;

            function countString(str, letter) {
                let count = 0;
                for (let i = 0; i < str.length; i++) {
                    if (str.charAt(i) == letter) {
                        count += 1;
                    }
                }
                return count;
            }
        }
    </script>

</content>
    
</body>

</html>